epp_LoginReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.epp_LoginReq class

### org.openrtk.idl.epp0402

# Class epp_LoginReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.epp_LoginReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_LoginReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to establish a session with an EPP server. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/epp_LoginReq.java,v 1.2 2003/09/10 21:29:55 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:55 $

See Also:
  `EPPLogin`, `epp_LoginRsp`

  ## Field Summary
  `epp_Command` | `m_cmd` The common and generic command element.
  `epp_Service[]` | `m_services` The array of service elements.
  `epp_Service[]` | `m_unspec_services` The array of unspecified service elements.

  ## Constructor Summary
  `epp_LoginReq()` Empty constructor
  `epp_LoginReq(epp_Command _m_cmd, epp_Service[] _m_services, epp_Service[] _m_unspec_services)` The constructor with initializing variables.

  ## Method Summary
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `epp_Service[]` | `getServices()` Accessor method for the array of services supported by the server
  `epp_Service[]` | `getUnspecServices()` Accessor method for the array of unspecified service extensions supported by the server
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setServices(epp_Service[] value)` Accessor method for the array of services supported by the server
  `void` | `setUnspecServices(epp_Service[] value)` Accessor method for the array of unspecified service extensions supported by the server
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_services

    public epp_Service[] m_services

> The array of service elements. Each element identifies an object to be managed during the session.
> See Also:
>   `setServices(epp_Service[])`, `getServices()`

### m_unspec_services

    public epp_Service[] m_unspec_services

> The array of unspecified service elements. Each element identifies a custom object extensions supported by the server.
> See Also:
>   `setUnspecServices(epp_Service[])`, `getUnspecServices()`

## Constructor Details

### epp_LoginReq

    public epp_LoginReq()

> Empty constructor

### epp_LoginReq

    public epp_LoginReq(epp_Command _m_cmd,
                        epp_Service[] _m_services,
                        epp_Service[] _m_unspec_services)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_services` - The array of services supported by the server
>   `_m_unspec_services` - The array of unspecified service extensions supported by the server

## Method Details

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getServices

    public epp_Service[] getServices()

> Accessor method for the array of services supported by the server
> Returns:
>   The array of service elements
> See Also:
>   `m_services`

### getUnspecServices

    public epp_Service[] getUnspecServices()

> Accessor method for the array of unspecified service extensions supported by the server
> Returns:
>   The array of unspecified service elements
> See Also:
>   `m_unspec_services`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setServices

    public void setServices(epp_Service[] value)

> Accessor method for the array of services supported by the server
> Parameters:
>   `value` - The array of service elements
> See Also:
>   `m_services`

### setUnspecServices

    public void setUnspecServices(epp_Service[] value)

> Accessor method for the array of unspecified service extensions supported by the server
> Parameters:
>   `value` - The array of unspecified service elements
> See Also:
>   `m_unspec_services`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS